<template>
    <div class="hello-message">
        <form @submit.prevent="tryLogIn">
            <div class="d-flex flex-column m-auto">
                <input type="text" placeholder="Email" v-model="login">
                <input type="text" placeholder="Пароль" v-model="password">
                <div class="btns">
                    <button class="signIn" @click.prevent="tryLogIn">Войти</button>
                    <button class="reg" @click.prevent="register">Регистрация</button>
                </div>
            </div>
        </form>
    </div>

</template>

<script>
    import store from '../store/';
    import {AUTH_REQUEST} from "../store/actions/auth";

    export default {
        store,
        data() {
            return {
                login: "",
                password: "",
            }
        },
        methods: {
            tryLogIn: function () {
                const { login, password } = this;
                const ignoreSession = { ignore_session: true };
                this.$store.dispatch(AUTH_REQUEST, { login, password, ...ignoreSession }).then(() => {
                    let path = this.$route.query.redirect || '/';
                    this.$router.push(path);
                }).catch(() => {
                    this.$events.fire('alert', {
                        type: 'danger',
                        message: 'Неправильный логин или пароль!',
                        console: {
                            method: 'login -> tryLogIn',
                            message: ['Wrong password or login'],
                        }
                    })
                });
            },
            register: function () {
                this.$events.fire('alert', {
                    type: 'danger',
                    message: 'Регистрация на текущий момент отключена!',
                    console: {
                        method: 'login -> register',
                        message: ['Attempt to register'],
                    }
                })
            }
        }
    }
</script>

<style scoped>
.hello-message {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 90vh;
}

form {
  box-sizing: border-box;
  width: 32vw;
  height: 40vh;
  background-color: #64A1CE;
  border-radius: 5px;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  padding: 2vh 3vw;
  position: relative;
}

input {
	outline: none;
  border: none;
  background: transparent;
  color: white;
  width: 14rem;
  height: 2rem;
  border-bottom: 0.15em solid white;
  font-size: 1.2rem;
  margin: 0.5rem auto;
  padding: 0.5em;
}

input::placeholder {
  font-family: 'Roboto', serif;
  color: white;
}

.btns {
  margin-top: 2em;
}

button {
  width: 7em;
  height: 2em;
  border: none;
  border-radius: 5px;
  font-size: 1.2rem;
  font-family: 'Roboto', serif;
}

.signIn {
  background: var(--yellow);
  color: rgba(0, 0, 0, 0.5);
  margin-right: 20px;
}

a {
  text-decoration: none;
  color: rgba(0, 0, 0, 0.5);
}

.reg {
  background: transparent;
  color: white;
}
</style>

